﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.ComponentModel;
using System.Collections.ObjectModel;
using System.Data;
using System.Windows.Controls.Primitives;
using Syncfusion.Windows.Data;
using Syncfusion.Windows.Controls.Grid;
using Syncfusion.Windows.Controls.Cells;
using System.Windows.Threading;
using System.Globalization;

namespace GridDataControlSample
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel vm = new ViewModel();
        public MainWindow()
        {
            InitializeComponent();
            this.syncgrid.ItemsSource = vm.GDCSource;
            this.syncgrid.Model.QueryCellInfo += Model_QueryCellInfo;
            TextBlock tb = VisualElementHelper.FindName<TextBlock>("txtblck", this);
        }
        void Model_QueryCellInfo(object sender, GridQueryCellInfoEventArgs e)
        {
            
            //e.Style.CommentTemplateKey = "commenttex";
            //if (e.Style.RowIndex > 0)
            //{
                
            //    var style = e.Style as GridDataStyleInfo;
            //   string columnName= style.CellIdentity.Column.MappingName;
            //    if(columnName=="ProductPrice")
            //    {
            //        int value = int.Parse(e.Style.GridModel[e.Style.RowIndex, e.Style.ColumnIndex].CellValue.ToString());
            //        if(value<0)
            //         e.Style.GridModel[e.Style.RowIndex, e.Style.ColumnIndex-1].Comment = "Negative Price";
            //    }
            //}
        }

       



    }

    public static class VisualElementHelper
    {



        private static IEnumerable<DependencyObject> GetChildren(DependencyObject reference)
        {
            int childCount = VisualTreeHelper.GetChildrenCount(reference);

            for (int i = 0; i < childCount; i++)
            {
                yield return VisualTreeHelper.GetChild(reference, i);
            }
        }

        public static T FindName<T>(string name, DependencyObject reference) where T : FrameworkElement
        {
            if (string.IsNullOrEmpty(name))
            {
                throw new ArgumentNullException("name");
            }

            if (reference == null)
            {
                throw new ArgumentNullException("reference");
            }

            return FindNameInternal<T>(name, reference);
        }

        private static T FindNameInternal<T>(string name, DependencyObject reference) where T : FrameworkElement
        {
            foreach (DependencyObject obj in GetChildren(reference))
            {
                T elem = obj as T;

                if (elem != null && elem.Name == name)
                {
                    return elem;
                }

                elem = FindNameInternal<T>(name, obj);

                if (elem != null)
                {
                    return elem;
                }
                else
                {
                    if (elem != null && elem.Name == name)
                        return elem;
                }
            }
            return null;
        }
    }
}

