﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;


namespace GridDataControlSample
{
    public class Data : INotifyPropertyChanged
    {
        private int jobnumber;

        public int JobNumber
        {
            get { return jobnumber; }
            set { jobnumber = value; OnPropertyChanged("JobNumber"); }
        }

        private bool isSelected;

        public bool IsSelected
        {
            get { return isSelected; }
            set { isSelected = value; OnPropertyChanged("IsSelected"); }
        }
     
        private string customerName;
         
        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; OnPropertyChanged("CustomerName"); }
        }
        private int productID;

        public int ProductID
        {
            get { return productID; }
            set { productID = value; OnPropertyChanged("ProductID"); }
        }
        private string productName;

        public string ProductName
        {
            get { return productName; }
            set { productName = value; OnPropertyChanged("ProductName"); }
        }
      // [Display(ResourceType = typeof(res), "ProductName")];
        private double productPrice;

        public double ProductPrice
        {
            get { return productPrice; }
            set { productPrice = value; OnPropertyChanged("ProductPrice"); }
        }
        private int quantity;

        public int Quantity
        {
            get { return quantity; }
            set { quantity = value; OnPropertyChanged("Quantity"); }
        }


        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string propertyName)
        {
            PropertyChangedEventHandler handler = PropertyChanged;
            if (handler != null)
            {
                var e = new PropertyChangedEventArgs(propertyName);
                handler(this, e);
            }
        }
    }
}
